%define upstream_name    Expect-Simple
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl wrapper around the Expect module  
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DJ/DJERIUS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Expect 
BuildArch:      noarch


%description
Expect::Simple is a wrapper around the Expect module which should suffice for 
simple applications. It hides most of the Expect machinery; the Expect object 
is available for tweaking if need be.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 33764
- mageia rebuild
- imported package perl-Expect-Simple

